-- ctrl.lua

ctrl = {}


----------------------------------------------------------------------------
-- Sled initial position and initial image
----------------------------------------------------------------------------

ctrl.sledXPos = {61.38,47.25,24.85,52   ,64.35,40.75,62.85,51   ,42.25,33.5}
ctrl.sledYPos = {16.42,10.25,20.25,32.25,37.6 ,48.1 ,58   ,63.25,67   ,70.9}
ctrl.factorySledXPos = 38.15
ctrl.factorySledYPos = 26.25
ctrl.factoryImageIndex = 9
ctrl.sledImageIndex = {0,5,9,9,5,9,5,5,5,5}

ctrl.zoomXPos = {-20,20,45,10, 0, 30,-35,-15, 40, 50}
ctrl.zoomYPos = { 50,50,50,20,10,-10,-25,-40,-40,-45}
ctrl.factoryZoomXPos = 35
ctrl.factoryZoomYPos = 12

ctrl.getSledPositionX = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledXPos;
    end
    return ctrl.sledXPos[model.getSledCurrentLevel()]
end

ctrl.getSledPositionY = function ()
    if (model.isSledInFactory()) then
        return ctrl.factorySledYPos;
    end
    return ctrl.sledYPos[model.getSledCurrentLevel()]
end

ctrl.getSledImageIndex = function ()
    if (model.isSledInFactory()) then
        return ctrl.factoryImageIndex;
    end
    pos = ctrl.sledImageIndex[model.getSledCurrentLevel()]
    return pos
end


ctrl.getZoomPositionX = function ()
    if (not app.isSledAtTargetLevel()) then
        return 0
    end

    if (model.isSledInFactory()) then
        return ctrl.factoryZoomXPos;
    end
    print("ctrl.getZoomPositionX "..tostring(ctrl.zoomXPos[model.getSledCurrentLevel()]))
    return ctrl.zoomXPos[model.getSledCurrentLevel()]
end

ctrl.getZoomPositionY = function ()
    if (not app.isSledAtTargetLevel()) then
        return 0
    end

    if (model.isSledInFactory()) then
        return ctrl.factoryZoomYPos;
    end
    return ctrl.zoomYPos[model.getSledCurrentLevel()]
end

ctrl.getZoomScale = function ()
    if (not app.isSledAtTargetLevel()) then
        return 1
    end
    return 2
end



